Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78903 - xinetd redirect does not work after update
Summary: xinetd redirect does not work after update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinetd
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Brock Organ
URL:
Whiteboard:
: 83204 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-03 09:46 UTC by Lauri Jesmin
Modified: 2014-08-31 23:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-13 17:14:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:160 normal SHIPPED_LIVE : Updated xinetd packages fix a denial-of-service attack and other bugs 2003-05-13 04:00:00 UTC
Red Hat Product Errata RHSA-2003:161 normal SHIPPED_LIVE Important: xinetd security update 2003-05-22 04:00:00 UTC

Description Lauri Jesmin 2002-12-03 09:46:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021128

Description of problem:
xinetd redirect does not work after latest errata update:
service pop3
{
        disable = no
        user =  nobody
        socket_type             = stream
        wait                    = no
        redirect = 193.40.5.124 110
}

This service does not work after latest errata update (xinetd-2.3.7-4.7x)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.up2date
2.restart xinetd
3.nothing works
	

Additional info:

Comment 1 Jefferson Ogata 2002-12-03 19:37:09 UTC
I am also seeing this problem.

Comment 2 Zenon Mousmoulas 2002-12-04 00:35:41 UTC
Yep it's true, xinetd-2.3.7-4.7x completely ignores services with redirect 
statements! They don't even appear in debug output (running xinetd -d).

The redirect facility in xinetd is full of problems. There have been and there 
still are problems with xinetd being unable to reload config properly and 
being unable to re-enable services after they are temp. disabled and so on. 
It's a whole mess. Please see bugs #60049 and #76727.

Comment 3 Zenon Mousmoulas 2002-12-04 01:45:24 UTC
I tried 2.3.7-5 from RHL 8.0 errata (rebuilt it for 7.3 from SRPMS), no luck. 
Still the same.
Then I tried a build using the plain 2.3.9 sources. I really have no clue as 
to what evil things this version can do, but at least redirect works with it, 
or so it seems for the time being.

Comment 4 Robert de Bock 2003-02-03 10:49:22 UTC
*** Bug 83204 has been marked as a duplicate of this bug. ***

Comment 5 Jefferson Ogata 2003-04-02 21:06:06 UTC
This is basic functionality for xinetd. You've issued two updates to xinetd on
7.3 and they've both been broken. How about fixing this?


Comment 6 Alessandro Polverini 2003-04-14 15:56:55 UTC
I also verified this bug, redirect does not work.
I tried the same configuration on a redhat 9 box and the redirect works well.

What about a fix, I find this bug really annoying.

Thanks, Alex

Comment 7 Mark J. Cox 2003-05-13 17:14:08 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-160.html



Note You need to log in before you can comment on or make changes to this bug.